# cpl new

## Contents

- Description

- Arguments

- Project types

Generates a workspace and initial project or add a project to workspace.

cpl new <type> <name>
cpl n <type> <name>
cpl N <type> <name>

## Description

Generates a workspace and initial project or add a project to workspace.

If the command is running in a CPL workspace, it will add the new project to the workspace.

Argument | Description | Value type
--- | --- | ---
`<type>` | The type of the project, see types | `str`
`<name>` | The name of the project | `str`

## Project types

Project type | Description
--- | ---
`console` | A simple console application
`library` | A package